unit i_SYSSJNL1;

interface

uses
   DB, DBTables, Sysutils, { Variants, } i_ebss;

type
   _SYSSJNL1 = class(_ebss)
   public
      function getAllRows(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getAllRows(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;

      function getSomeColumns(tmpSessionName, tmpDatabaseName, ColumnNames:String):TQuery;overload;
      function getSomeColumns(tmpSessionName, tmpDatabaseName, ColumnNames, Cond:String):TQuery;overload;
      function setSomeColumns(tmpSessionName, tmpDatabaseName: String;FieldNames, Values: Variant) :Boolean;

      function Insert(tmpSessionName, tmpDatabaseName:String;Values: Variant):Boolean;
      function Delete(tmpSessionName, tmpDatabaseName, Cond:String):Boolean;
      function Empty(tmpSessionName, tmpDatabaseName: String):Boolean;

      function getTRXSEQNOs(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getTRXSEQNOs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getTRXSEQNO(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getTRXSEQNOvalue(tmpSessionName, tmpDatabaseName, Cond:String):Real;overload;
      function setTRXSEQNOvalue(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getTRXCODEs(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getTRXCODEs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getTRXCODE(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getTRXCODEvalue(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setTRXCODEvalue(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getTRXSTATUSs(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getTRXSTATUSs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getTRXSTATUS(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getTRXSTATUSvalue(tmpSessionName, tmpDatabaseName, Cond:String):Real;overload;
      function setTRXSTATUSvalue(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD01s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD01s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD01(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD01value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD01value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD02s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD02s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD02(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD02value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD02value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD03s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD03s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD03(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD03value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD03value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD04s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD04s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD04(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD04value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD04value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD05s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD05s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD05(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD05value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD05value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD06s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD06s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD06(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD06value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD06value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD07s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD07s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD07(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD07value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD07value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD08s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD08s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD08(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD08value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD08value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD09s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD09s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD09(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD09value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD09value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD10s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD10s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD10(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD10value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD10value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD11s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD11s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD11(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD11value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD11value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD12s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD12s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD12(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD12value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD12value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD13s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD13s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD13(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD13value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD13value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD14s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD14s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD14(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD14value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD14value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD15s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD15s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD15(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD15value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD15value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD16s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD16s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD16(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD16value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD16value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD17s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD17s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD17(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD17value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD17value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD18s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD18s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD18(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD18value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD18value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD19s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD19s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD19(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD19value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD19value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getFIELD20s(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getFIELD20s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getFIELD20(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getFIELD20value(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setFIELD20value(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getIZONENOs(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getIZONENOs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getIZONENO(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getIZONENOvalue(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setIZONENOvalue(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getIBRCHNOs(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getIBRCHNOs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getIBRCHNO(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getIBRCHNOvalue(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setIBRCHNOvalue(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getITELLNOs(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getITELLNOs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getITELLNO(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getITELLNOvalue(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setITELLNOvalue(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getISTATUSs(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getISTATUSs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getISTATUS(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getISTATUSvalue(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setISTATUSvalue(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getIRANKs(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getIRANKs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getIRANK(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getIRANKvalue(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setIRANKvalue(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getISYSDATEs(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getISYSDATEs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getISYSDATE(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getISYSDATEvalue(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setISYSDATEvalue(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getOOVERIDs(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getOOVERIDs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getOOVERID(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getOOVERIDvalue(tmpSessionName, tmpDatabaseName, Cond:String):Real;overload;
      function setOOVERIDvalue(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;

      function getOOVERSTATEMENTs(tmpSessionName, tmpDatabaseName: String):TQuery;overload;
      function getOOVERSTATEMENTs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;overload;
      function getOOVERSTATEMENT(tmpSessionName, tmpDatabaseName, Cond:String):TField;overload;
      function getOOVERSTATEMENTvalue(tmpSessionName, tmpDatabaseName, Cond:String):String;overload;
      function setOOVERSTATEMENTvalue(tmpSessionName, tmpDatabaseName:String; Value:String; Cond:String):Boolean;
   end;

var
   admin_SYSSJNL1: _SYSSJNL1;

implementation

function _SYSSJNL1.getAllRows(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
   Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select * from %s', ['SYSSJNL1']));
end;

function _SYSSJNL1.getAllRows(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
   Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select * from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getSomeColumns(tmpSessionName, tmpDatabaseName, ColumnNames:String):TQuery;
begin
   Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select %s from %s',[ColumnNames, 'SYSSJNL1']));
end;

function _SYSSJNL1.getSomeColumns(tmpSessionName, tmpDatabaseName, ColumnNames, Cond:String):TQuery;
begin
   Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select %s from %s where %s',[ColumnNames, 'SYSSJNL1', Cond]));
end;

function _SYSSJNL1.setSomeColumns(tmpSessionName, tmpDatabaseName: String;FieldNames, Values: Variant) :Boolean;
var
   i,n: Integer;
   NamesCount, ValuesCount:Integer;
   tmpSQL: String;
begin
   Result := False;

   NamesCount := VarArrayHighBound(FieldNames, 1);
   ValuesCount := VarArrayHighBound(Values, 1);

   If NamesCount = ValuesCount then
   begin
      n := NamesCount;

      tmpSQL := Format('Update %s set ',['SYSSJNL1']);

      For i:= 0 to n do
      begin
         tmpSQL := tmpSQL + Format('%s = %s',[FieldNames[i], Values[i]]);
         If i < n then
         begin
            tmpSQL := tmpSQL +', ';
         end;
      end;
      Result := execSQL(tmpSessionName, tmpDatabaseName, tmpSQL);
   end;
end;

function _SYSSJNL1.Insert(tmpSessionName, tmpDatabaseName: String;Values: Variant):Boolean;
var
   i,n: Integer;
   ValueCount: Integer;
   tmpSQL: String;
begin
   Result := False;

   ValueCount := VarArrayHighBound(Values, 1);

   If ValueCount > 0 then
   begin
      n := ValueCount;

      tmpSQL := Format('Insert into %s values(',['SYSSJNL1']);

      For i:= 0 to n do
      begin
         tmpSQL := tmpSQL + Format('%s',[Values[i]]);
         If i < n then
         begin
            tmpSQL := tmpSQL +', ';
         end;
      end;
      tmpSQL := tmpSQL + ')';

      Result := execSQL(tmpSessionName, tmpDatabaseName, tmpSQL);
   end;
end;

function _SYSSJNL1.Delete(tmpSessionName, tmpDatabaseName, Cond:String):Boolean;
begin
   Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Delete from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.Empty(tmpSessionName, tmpDatabaseName: String):Boolean;
begin
   Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Delete from %s',['SYSSJNL1']));
end;


function _SYSSJNL1.getTRXSEQNOs(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select TRXSEQNO from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getTRXSEQNOs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select TRXSEQNO from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getTRXSEQNO(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getTRXSEQNOs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('TRXSEQNO');
  end;
  Query.Free;
end;

function _SYSSJNL1.getTRXSEQNOvalue(tmpSessionName, tmpDatabaseName, Cond:String):Real;
var
  Query: TQuery;
begin
  Result := -1;

  Query := getTRXSEQNOs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('TRXSEQNO').AsVariant;
  end;
  Query.Free;
end;

function _SYSSJNL1.setTRXSEQNOvalue(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set TRXSEQNO = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getTRXCODEs(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select TRXCODE from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getTRXCODEs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select TRXCODE from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getTRXCODE(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getTRXCODEs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('TRXCODE');
  end;
  Query.Free;
end;

function _SYSSJNL1.getTRXCODEvalue(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getTRXCODEs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('TRXCODE').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setTRXCODEvalue(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set TRXCODE = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getTRXSTATUSs(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select TRXSTATUS from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getTRXSTATUSs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select TRXSTATUS from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getTRXSTATUS(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getTRXSTATUSs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('TRXSTATUS');
  end;
  Query.Free;
end;

function _SYSSJNL1.getTRXSTATUSvalue(tmpSessionName, tmpDatabaseName, Cond:String):Real;
var
  Query: TQuery;
begin
  Result := -1;

  Query := getTRXSTATUSs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('TRXSTATUS').AsVariant;
  end;
  Query.Free;
end;

function _SYSSJNL1.setTRXSTATUSvalue(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set TRXSTATUS = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD01s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD01 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD01s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD01 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD01(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD01s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD01');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD01value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD01s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD01').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD01value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD01 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD02s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD02 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD02s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD02 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD02(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD02s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD02');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD02value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD02s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD02').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD02value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD02 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD03s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD03 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD03s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD03 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD03(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD03s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD03');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD03value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD03s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD03').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD03value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD03 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD04s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD04 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD04s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD04 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD04(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD04s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD04');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD04value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD04s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD04').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD04value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD04 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD05s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD05 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD05s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD05 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD05(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD05s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD05');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD05value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD05s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD05').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD05value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD05 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD06s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD06 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD06s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD06 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD06(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD06s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD06');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD06value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD06s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD06').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD06value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD06 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD07s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD07 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD07s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD07 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD07(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD07s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD07');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD07value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD07s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD07').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD07value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD07 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD08s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD08 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD08s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD08 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD08(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD08s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD08');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD08value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD08s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD08').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD08value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD08 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD09s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD09 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD09s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD09 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD09(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD09s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD09');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD09value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD09s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD09').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD09value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD09 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD10s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD10 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD10s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD10 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD10(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD10s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD10');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD10value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD10s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD10').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD10value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD10 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD11s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD11 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD11s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD11 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD11(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD11s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD11');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD11value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD11s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD11').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD11value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD11 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD12s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD12 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD12s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD12 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD12(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD12s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD12');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD12value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD12s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD12').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD12value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD12 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD13s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD13 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD13s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD13 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD13(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD13s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD13');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD13value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD13s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD13').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD13value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD13 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD14s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD14 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD14s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD14 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD14(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD14s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD14');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD14value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD14s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD14').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD14value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD14 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD15s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD15 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD15s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD15 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD15(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD15s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD15');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD15value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD15s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD15').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD15value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD15 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD16s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD16 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD16s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD16 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD16(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD16s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD16');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD16value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD16s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD16').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD16value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD16 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD17s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD17 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD17s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD17 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD17(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD17s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD17');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD17value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD17s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD17').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD17value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD17 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD18s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD18 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD18s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD18 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD18(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD18s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD18');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD18value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD18s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD18').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD18value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD18 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD19s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD19 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD19s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD19 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD19(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD19s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD19');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD19value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD19s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD19').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD19value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD19 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getFIELD20s(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD20 from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getFIELD20s(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select FIELD20 from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getFIELD20(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getFIELD20s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD20');
  end;
  Query.Free;
end;

function _SYSSJNL1.getFIELD20value(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getFIELD20s(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('FIELD20').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setFIELD20value(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set FIELD20 = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getIZONENOs(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select IZONENO from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getIZONENOs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select IZONENO from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getIZONENO(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getIZONENOs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('IZONENO');
  end;
  Query.Free;
end;

function _SYSSJNL1.getIZONENOvalue(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getIZONENOs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('IZONENO').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setIZONENOvalue(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set IZONENO = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getIBRCHNOs(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select IBRCHNO from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getIBRCHNOs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select IBRCHNO from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getIBRCHNO(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getIBRCHNOs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('IBRCHNO');
  end;
  Query.Free;
end;

function _SYSSJNL1.getIBRCHNOvalue(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getIBRCHNOs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('IBRCHNO').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setIBRCHNOvalue(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set IBRCHNO = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getITELLNOs(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select ITELLNO from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getITELLNOs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select ITELLNO from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getITELLNO(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getITELLNOs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('ITELLNO');
  end;
  Query.Free;
end;

function _SYSSJNL1.getITELLNOvalue(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getITELLNOs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('ITELLNO').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setITELLNOvalue(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set ITELLNO = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getISTATUSs(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select ISTATUS from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getISTATUSs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select ISTATUS from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getISTATUS(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getISTATUSs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('ISTATUS');
  end;
  Query.Free;
end;

function _SYSSJNL1.getISTATUSvalue(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getISTATUSs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('ISTATUS').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setISTATUSvalue(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set ISTATUS = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getIRANKs(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select IRANK from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getIRANKs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select IRANK from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getIRANK(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getIRANKs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('IRANK');
  end;
  Query.Free;
end;

function _SYSSJNL1.getIRANKvalue(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getIRANKs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('IRANK').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setIRANKvalue(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set IRANK = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getISYSDATEs(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select ISYSDATE from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getISYSDATEs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select ISYSDATE from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getISYSDATE(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getISYSDATEs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('ISYSDATE');
  end;
  Query.Free;
end;

function _SYSSJNL1.getISYSDATEvalue(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getISYSDATEs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('ISYSDATE').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setISYSDATEvalue(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set ISYSDATE = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getOOVERIDs(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select OOVERID from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getOOVERIDs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select OOVERID from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getOOVERID(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getOOVERIDs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('OOVERID');
  end;
  Query.Free;
end;

function _SYSSJNL1.getOOVERIDvalue(tmpSessionName, tmpDatabaseName, Cond:String):Real;
var
  Query: TQuery;
begin
  Result := -1;

  Query := getOOVERIDs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('OOVERID').AsVariant;
  end;
  Query.Free;
end;

function _SYSSJNL1.setOOVERIDvalue(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set OOVERID = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;

function _SYSSJNL1.getOOVERSTATEMENTs(tmpSessionName, tmpDatabaseName: String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select OOVERSTATEMENT from %s',['SYSSJNL1']));
end;

function _SYSSJNL1.getOOVERSTATEMENTs(tmpSessionName, tmpDatabaseName, Cond:String):TQuery;
begin
  Result := openSQL(tmpSessionName, tmpDatabaseName, Format('Select OOVERSTATEMENT from %s where %s',['SYSSJNL1', Cond]));
end;

function _SYSSJNL1.getOOVERSTATEMENT(tmpSessionName, tmpDatabaseName, Cond:String):TField;
var
  Query: TQuery;
begin
  Result := nil;

  Query := getOOVERSTATEMENTs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('OOVERSTATEMENT');
  end;
  Query.Free;
end;

function _SYSSJNL1.getOOVERSTATEMENTvalue(tmpSessionName, tmpDatabaseName, Cond:String):String;
var
  Query: TQuery;
begin
  Result := 'null';

  Query := getOOVERSTATEMENTs(tmpSessionName, tmpDatabaseName, Cond);
  If Not Query.IsEmpty then
  begin
    Result := Query.FieldByName('OOVERSTATEMENT').AsString;
  end;
  Query.Free;
end;

function _SYSSJNL1.setOOVERSTATEMENTvalue(tmpSessionName, tmpDatabaseName: String; Value:String; Cond:String):Boolean;
begin
  Result := execSQL(tmpSessionName, tmpDatabaseName, Format('Update %s set OOVERSTATEMENT = %s where %s',
                           ['SYSSJNL1', Value, Cond])
                   );
end;
end.
